Subject: bug#12852: 24.2; `exit-function' not supported in completion table's metadata alist

From: Stefan Monnier <[email-masked]>
Date: Sun, 11 Nov 2012 11:21:19 -0500

>> Hmm.. I don't really understand what this is trying to do.
>> Can you explain to me what should be the end result?
> I am writing a programmed completion table for python modules which
> should work like file name completion but separated by . instead of /.
> After each completion it should tell me whether the completion is a
> package to help me decide whether to type . and get further completions.

Any reason not actually add the ".", just like file-name completion
actually adds the / ?

> So for example, twisted.inte should complete to twisted.internet with
> minibuffer message [package] to mean that twisted.internet is a package.

Right, so it's like an annotation but only displayed when you select
that particular entry.

>>> Looks like with some change to completion--done we can have this.
>>> What do you think?
>> I have the impression that you're subverting exit-function.
>> I"m not sure yet if it's a neat hack, or if there's a better way to do it,
> Probably.

Not sure which of the two you think is probable.  Maybe the "neat hack"
is the more probable one.

        Stefan